/* Scoring */
dl.playlist.scoring .period:first-of-type {
    margin-top: 0;
}

dl.playlist dd.mugshot,
dl.playlist dd.play {
    margin-top: 2px;
}

dl.playlist dd.mugshot,
dl.playlist dd.play.with-mugshot {
    float: left;
}

dl.playlist dd.mugshot,
dl.playlist dd.play.no-mugshot {
    clear: left;
}

dl.playlist dd.play {
    box-sizing: border-box;
    padding-bottom: 0;
    padding-top: 0;
}

dl.playlist dd.play.with-mugshot {
    margin-left: 2px;
    width: calc(100% - 42px);
}

dl.playlist dd.play.no-mugshot {
    margin-left: 0;
    width: 100%;
}

dl.playlist li.winprob,
dl.playlist li.score,
dl.playlist li.state,
dl.playlist li.play {
    line-height: 20px;
}

dl.playlist li.winprob,
dl.playlist li.score {
    float: right;
}

dl.playlist li.state,
dl.playlist li.play {
    clear: left;
}

dl.playlist li.winprob {
    margin-left: 3px;
}

dl.playlist li.state dt,
dl.playlist li.state dd {
    float: left;
}

dl.playlist li.state dt,
dl.playlist li.state dd.last {
    margin-right: 3px;
}

dl.playlist li.state dd.cell {
    background-color: #333333;
}

dl.playlist li.state dd.cell:before {
    vertical-align: text-top;
}

dl.playlist li.state dd.cell:not(.last):before {
    margin-right: 0;
}

dl.playlist li.state dd.cell.first {
    border-bottom-left-radius: 3px;
    border-top-left-radius: 3px;
}

dl.playlist li.state dd.cell.first:before {
    margin-left: 2px;
}

dl.playlist li.state dd.cell.last {
    border-bottom-right-radius: 3px;
    border-top-right-radius: 3px;
}

dl.playlist li.state dd.cell.last:before {
    margin-right: 2px;
}

dl.playlist li.state .dimmed:before {
    opacity: 0.5;
}

@media only screen and (max-width: 550px) {
    dl.playlist li.state dt.balls {
        clear: left;
    }
}

/* Boxscore */
.boxscore,
.game_info {
    max-width: 555px;
}

.boxscore .static {
    width: calc(100% - 328px);
}

.boxscore .scroll {
    width: calc(100% - 241px);
}

.boxscore .pitcher.scroll,
.boxscore .pitcher.scroll ul {
    width: 274px;
}

.boxscore .scroll ul {
    width: 326px;
}

.boxscore .jersey.non-starter {
    margin-left: 10px;
}

.boxscore .name.non-starter {
    width: 187px;
}

.boxscore .prefix {
    color: #333333;
}

.boxscore .prefix:after {
    content: "-";
    display: inline-block;
}

.boxscore .pos,
.boxscore .decision {
    color: #555555;
    margin-left: 3px;
}

.boxscore .note,
.boxscore .row-summary {
    line-height: 14px;
    margin-top: 2px;
    padding: 1px 3px;
    width: calc(100% - 6px);
}

.boxscore .row-summary a {
    white-space: nowrap;
}

.game_info .row-head {
    font-weight: bold;
    line-height: 18px;
    text-align: center;
}

.game_info .row {
    line-height: 14px;
    margin-top: 2px;
    padding: 1px 3px;
}

.game_info .row strong {
    margin-right: 3px;
}

@media only screen and (min-width: 577px) {
    .boxscore .pitcher.section {
        width: 503px;
    }

    .boxscore .pitcher.section,
    .boxscore .pitcher.static {
        margin-left: 26px;
    }
}

@media only screen and (max-width: 576px) {
    .boxscore .static,
    .boxscore .static ul {
        width: 147px;
    }

    .boxscore .player {
        width: 120px;
    }

    .boxscore .name.starter {
        width: 117px;
    }

    .boxscore .name.non-starter {
        width: 107px;
    }

    .boxscore .name .name-short {
        display: initial;
    }

    .boxscore .name .name-full {
        display: none;
    }

    .boxscore .pos,
    .boxscore .decision {
        font-size: 80%;
        vertical-align: bottom;
    }

    .boxscore .scroll {
        overflow: -moz-scrollbars-none;
        -ms-overflow-style: none;
        overflow-x: scroll;
        position: relative;
        scrollbar-width: none;
    }

    .boxscore .scroll::-webkit-scrollbar {
        height: 0 !important;
    }

    .boxscore .scroll.batter {
        width: calc(100% - 149px);
    }

    .boxscore .pitcher.section {
        max-width: 423px;
    }
}

@media only screen and (min-width: 447px) and (max-width: 576px) {
    .boxscore,
    .game_info {
        width: 475px;
    }

    .boxscore .pitcher.section,
    .boxscore .pitcher.static {
        margin-left: 26px;
    }
}

@media only screen and (max-width: 498px) {
    .boxscore,
    .game_info {
        width: calc(100% - 8px);
    }
}

@media only screen and (min-width: 498px) {
    .boxscore,
    .game_info {
        margin: 0 auto 2px !important;
    }
}

@media only screen and (min-width: 446px) and (max-width: 497px) {
    .boxscore .pitcher.section,
    .boxscore .pitcher.static {
        margin-left: calc((100% - 423px) / 2);
    }
}

@media only screen and (max-width: 446px) {
    .boxscore .pitcher.scroll {
        width: calc(100% - 149px);
    }
}

/* Win Probability */
.chart#winprob .highcharts-grid-line {
    stroke-width: 1px;
}

.chart#winprob .highcharts-plot-band {
    fill-opacity: 0.75;
}

.chart#winprob .highcharts-plot-band:first-of-type {
    fill: #b0ffb0;
}

.chart#winprob .highcharts-plot-band:last-of-type {
    fill: #d6ffd6;
}

.chart#winprob .highcharts-yaxis-labels {
    color: #666666;
}

.chart#winprob .highcharts-graph {
    stroke-width: 3px;
}

.chart#winprob g.highcharts-tooltip {
    fill: none;
    opacity: 0;
    stroke: none;
}

.chart#winprob .highcharts-tooltip tooltip {
    background-color: #ffffff;
    border: 1px solid #7cb5ec;
    border-radius: 10px;
    color: #333333;
    display: block;
    opacity: 0.9;
    padding: 5px;
}

.chart#winprob tooltip span,
.chart#winprob tooltip strong {
    display: inline-block;
    line-height: 16px;
}

.chart#winprob tooltip :before {
    margin-right: 3px;
}
